
    <!DOCTYPE html>
    <html>
      <body>
        <style>@page {
  size: 1280px 720px;
  margin: 0;
}@media print {html, body {
  background-color: #fff;
  margin: 0;
  page-break-inside: avoid;
  break-inside: avoid-page;
}
  div.marpit > section {
    page-break-before: always;
    break-before: page;
  }

  div.marpit > section, div.marpit > section * {
    -webkit-print-color-adjust: exact !important;
    animation-delay: 0s !important;
    animation-duration: 0s !important;
    color-adjust: exact !important;
    transition: none !important;
  }

  div.marpit > svg[data-marpit-svg] {
    display: block;
    height: 100vh;
    width: 100vw;
  }
}

div.marpit > section {
  width: 1280px;
  height: 720px;

  box-sizing: border-box;
  overflow: hidden;
  position: relative;

  scroll-snap-align: center center;
}

div.marpit > section::after {
  bottom: 0;
  content: attr(data-marpit-pagination);
  padding: inherit;
  pointer-events: none;
  position: absolute;
  right: 0;
}

div.marpit > section:not([data-marpit-pagination])::after {
  display: none;
}

/* Normalization */
div.marpit > section h1 {
  font-size: 2em;
  margin: 0.67em 0;
}

div.marpit > section video::-webkit-media-controls {
  will-change: transform;
}</style>
        <div class="marpit"><section id="1" data-marpit-fragments="10">
<h1>12 факторов</h1>
<p>Методология двенадцати факторов может быть применена для приложений, написанных на любом языке программирования и использующих любые комбинации сторонних служб (backing services) (базы данных, очереди сообщений, кэш-памяти, и т.д.).</p>
<p>Если разработчики придерживаются принципами 12 факторов, то разрабатываемые приложения проще разворачивать, масштабировать и мониторить.</p>
<p>В этом задании необходимо будет научиться запускать приложение на разных окружения. В качестве приложения будет использоваться
<a href="https://github.com/strapi/strapi">strapi</a>. В качестве продакшен-окружения - <a href="https://heroku.com/">Heroku</a>. Само приложение будет конфигурироваться переменными окружения в соответствии с методологией 12 факторов.</p>
<h2>Ссылки</h2>
<ul>
<li data-marpit-fragment="1"><a href="https://12factor.net/">The Twelve-Factor App</a></li>
<li data-marpit-fragment="2"><a href="https://github.com/strapi/strapi">Strapi</a></li>
<li data-marpit-fragment="3"><a href="https://strapi.io/documentation/developer-docs/latest/getting-started/quick-start.html">Quick Start Guide</a></li>
<li data-marpit-fragment="4"><a href="https://devcenter.heroku.com/articles/getting-started-with-nodejs">Getting Started on Heroku with Node.js</a></li>
<li data-marpit-fragment="5"><a href="https://strapi.io/documentation/developer-docs/latest/setup-deployment-guides/configurations.html">Конфигурация Strapi</a></li>
<li data-marpit-fragment="6"><a href="https://strapi.io/documentation/developer-docs/latest/setup-deployment-guides/deployment/hosting-guides/heroku.html">Deployment Strapi app to Heroku</a></li>
</ul>
<h2>Задачи</h2>
<ul>
<li data-marpit-fragment="7">Создайте в директории <em>app</em> приложение Strapi согласно <a href="https://strapi.io/documentation/developer-docs/latest/getting-started/quick-start.html#_1-install-strapi-and-create-a-new-project">документации</a></li>
<li data-marpit-fragment="8">Установите <a href="https://devcenter.heroku.com/articles/heroku-cli">Heroku Cli</a></li>
<li data-marpit-fragment="9">Задеплойте приложение с помощью heroku cli. Убедитесь, что приложение конфигурируется с помощью переменных окружения</li>
<li data-marpit-fragment="10">Когда будете отправлять задание на проверку, то укажите в issue ссылку на задеплоенное приложение</li>
</ul>
</section>
</div>
      </body>
    </html>
  